module KarrierWave
  class LocalFile
    delegate :path, to: :file

    attr_reader :file

    def initialize(file)
      @file = file
    end

    def content_type
      MIME::Types.type_for(@file.path).first.to_s
    end

    def store(client)
      access_key = client.store(path, content_type)['access_key']
      @file.close if @file && @file.respond_to?(:close)
      access_key
    end
  end
end
