require 'spec_helper'

RSpec.describe KarrierWave::Configuration do
  let(:configuration) { KarrierWave::Configuration.new }

  describe '#host' do
    context 'when no value is set' do
      it { expect(configuration.host).to eq(KarrierWave::Configuration::SANDBOX_HOST) }
    end

    context 'when value is set' do
      let(:host) { 'http://kage.kakao.com' }

      before { configuration.host = host }

      it { expect(configuration.host).to eq(host) }
    end
  end

  describe '#download_host' do
    context 'when no values are set' do
      it { expect(configuration.download_host).to eq(KarrierWave::Configuration::SANDBOX_HOST) }
    end

    context 'when only host value is set' do
      let(:host) { 'http://kage.kakao.com' }

      before { configuration.host = host }

      it { expect(configuration.download_host).to eq(host) }
    end

    context 'when only host value is set' do
      let(:download_host) { 'http://kage.kakao.com' }

      before { configuration.download_host = download_host }

      it { expect(configuration.download_host).to eq(download_host) }
    end
  end
end
